Due to a recent update on Javascript code a full page refresh on your browser might be needed.
Bug 1483123 - Review Request: python3-pytest-cov - Pytest plugin for coverage reporting
Summary: Review Request: python3-pytest-cov - Pytest plugin for coverage reporting
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: Package Review
Version: epel7
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1431235
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-18 19:22 UTC by Orion Poplawski
Modified: 2017-11-07 22:15 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-07 22:15:11 UTC
Type: Bug
zbyszek: fedora-review+


Attachments (Terms of Use)

Description Orion Poplawski 2017-08-18 19:22:00 UTC
Spec URL: https://www.cora.nwra.com/~orion/fedora/python3-pytest-cov.spec
SRPM URL: https://www.cora.nwra.com/~orion/fedora/python3-pytest-cov-2.5.1-1.el7.src.rpm
Description:
Py.test plugin for coverage reporting with support for both centralised and
distributed testing, including subprocesses and multiprocessing for Python.

Fedora Account System Username: orion

This is an epel only package.

Comment 1 Zbigniew Jędrzejewski-Szmek 2017-08-21 18:55:30 UTC
This also needs python3-process-tests, right?

Comment 2 Orion Poplawski 2017-08-22 22:11:21 UTC
yes.  That is in testing: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-20594d83ca

Comment 3 Robert-André Mauchin 2017-08-29 14:01:56 UTC
Reassigning to product 'Fedora EPEL'

Comment 4 Zbigniew Jędrzejewski-Szmek 2017-09-02 11:07:38 UTC
The package in Fedora is OK, so I'm only reviewing the EPEL specific parts:
+ package name is OK
+ does not conflict
+ builds and installs OK

Package is APPROVED.

Comment 5 Gwyn Ciesla 2017-09-05 12:28:10 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python3-pytest-cov

Comment 6 Fedora Update System 2017-10-20 17:34:04 UTC
python3-pytest-cov-2.5.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-efeac3c511

Comment 7 Fedora Update System 2017-10-22 05:18:36 UTC
python3-pytest-cov-2.5.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-efeac3c511

Comment 8 Fedora Update System 2017-11-07 22:15:11 UTC
python3-pytest-cov-2.5.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.